Manage accounts payable records.
Operations
getVendorSelectFields
Returns selected fields for a vendor.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
VendorNumberstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/accountspayable/getVendorSelectFieldsPOST /nexum/627/persistent/accountspayable/getVendorSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"VendorNumber": "string",
"SelectableFields": {
"IncludeAllVendorFields": false,
"VendorFields": {
"Number": true,
"Name": true,
"Payee": true,
"Street": true,
"City": true,
"State": true,
"ZipCode": true
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getVendorSelectFieldsFilterChildren
Retrieves a vendor with selected fields and filtered children.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
VendorNumberstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/accountspayable/getVendorSelectFieldsFilterChildrenPOST /nexum/627/persistent/accountspayable/getVendorSelectFieldsFilterChildren HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"VendorNumber": "string",
"SelectableFields": {
"IncludeAllVendorFields": true
},
"ChildrenSearchFilter": {
"Query": "string"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getInvoiceSelectFields
Returns selected fields for an invoice.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
VendorNumberstringoptionalInvoiceLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/accountspayable/getInvoiceSelectFieldsPOST /nexum/627/persistent/accountspayable/getInvoiceSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"VendorNumber": "string",
"InvoiceLocator": 0,
"SelectableFields": {
"IncludeAllInvoiceFields": false,
"InvoiceFields": {
"Locator": true,
"Number": true,
"Description": true,
"InvoiceDate": true,
"DueDateFinal": true,
"TotalInvoiceAmtDue": true,
"Type": true,
"Status": true
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getInvoiceSelectFieldsFilterChildren
Retrieves an invoice with selected fields and filtered children.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
VendorNumberstringoptionalInvoiceLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/accountspayable/getInvoiceSelectFieldsFilterChildrenPOST /nexum/627/persistent/accountspayable/getInvoiceSelectFieldsFilterChildren HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"VendorNumber": "string",
"InvoiceLocator": 0,
"SelectableFields": {
"IncludeAllInvoiceFields": true
},
"ChildrenSearchFilter": {
"Query": "string"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getInvoicePagedListSelectFields
Returns a page of invoice selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
VendorNumberstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/persistent/accountspayable/getInvoicePagedListSelectFieldsPOST /nexum/627/persistent/accountspayable/getInvoicePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"VendorNumber": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"IncludeAllInvoiceFields": false,
"InvoiceFields": {
"Locator": true,
"Number": true,
"Description": true,
"TotalInvoiceAmtDue": true
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}searchInvoicePagedSelectFields
Searches invoices and returns selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
VendorNumberstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/persistent/accountspayable/searchInvoicePagedSelectFieldsPOST /nexum/627/persistent/accountspayable/searchInvoicePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"VendorNumber": "string",
"SearchFilter": {
"Query": "string"
},
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"IncludeAllInvoiceFields": false,
"InvoiceFields": {
"Locator": true,
"Number": true,
"Description": true,
"TotalInvoiceAmtDue": true
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getInvoiceNoteSelectFields
Returns selected fields for an invoice note.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
VendorNumberstringoptionalInvoiceLocatorintegeroptionalInvoiceNoteLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/accountspayable/getInvoiceNoteSelectFieldsPOST /nexum/627/persistent/accountspayable/getInvoiceNoteSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"VendorNumber": "string",
"InvoiceLocator": 0,
"InvoiceNoteLocator": 0,
"SelectableFields": {
"IncludeAllInvoiceNoteFields": false,
"InvoiceNoteFields": {
"Locator": true,
"Code": true,
"Text": [
0
],
"UserId": true
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getInvoiceNotePagedListSelectFields
Returns a page of invoice note selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
VendorNumberstringoptionalInvoiceLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/persistent/accountspayable/getInvoiceNotePagedListSelectFieldsPOST /nexum/627/persistent/accountspayable/getInvoiceNotePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"VendorNumber": "string",
"InvoiceLocator": 0,
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"IncludeAllInvoiceNoteFields": false,
"InvoiceNoteFields": {
"Locator": true,
"Code": true,
"Text": [
0
]
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}searchInvoiceNotePagedSelectFields
Searches invoice notes and returns selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
VendorNumberstringoptionalInvoiceLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/persistent/accountspayable/searchInvoiceNotePagedSelectFieldsPOST /nexum/627/persistent/accountspayable/searchInvoiceNotePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"VendorNumber": "string",
"InvoiceLocator": 0,
"SearchFilter": {
"Query": "string"
},
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"IncludeAllInvoiceNoteFields": false,
"InvoiceNoteFields": {
"Locator": true,
"Code": true,
"Text": [
0
]
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getVendorFmHistoryPagedListSelectFields
Returns a page of vendor FM history selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
VendorNumberstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/persistent/accountspayable/getVendorFmHistoryPagedListSelectFieldsPOST /nexum/627/persistent/accountspayable/getVendorFmHistoryPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"VendorNumber": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"IncludeAllVendorFmHistoryFields": false,
"VendorFmHistoryFields": {
"PostDate": true,
"RecordName": true,
"FieldName": true,
"OldCharacter": true,
"NewCharacter": true,
"UserNumber": true
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}searchVendorFmHistoryPagedSelectFields
Searches vendor FM history and returns selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
VendorNumberstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/persistent/accountspayable/searchVendorFmHistoryPagedSelectFieldsPOST /nexum/627/persistent/accountspayable/searchVendorFmHistoryPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"VendorNumber": "string",
"SearchFilter": {
"Query": "string"
},
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"IncludeAllVendorFmHistoryFields": false,
"VendorFmHistoryFields": {
"PostDate": true,
"RecordName": true,
"FieldName": true,
"OldCharacter": true,
"NewCharacter": true,
"UserNumber": true
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}updateVendorByID
Updates a vendor.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
VendorNumberstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/accountspayable/updateVendorByIDPOST /nexum/627/persistent/accountspayable/updateVendorByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"VendorNumber": "string",
"VendorFields": {
"Name": "string"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}updateInvoiceByID
Updates an invoice.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
VendorNumberstringoptionalInvoiceLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/accountspayable/updateInvoiceByIDPOST /nexum/627/persistent/accountspayable/updateInvoiceByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"VendorNumber": "string",
"InvoiceLocator": 0,
"InvoiceFields": {
"Description": "string"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}updateInvoiceNoteByID
Updates an invoice note.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
VendorNumberstringoptionalInvoiceLocatorintegeroptionalInvoiceNoteLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/accountspayable/updateInvoiceNoteByIDPOST /nexum/627/persistent/accountspayable/updateInvoiceNoteByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"VendorNumber": "string",
"InvoiceLocator": 0,
"InvoiceNoteLocator": 0,
"InvoiceNoteFields": {
"Text": [
{
"EntryId": 0,
"Text": "string"
}
]
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}createVendor
Creates a new vendor.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Loading fields…
symstringrequired- Sym number
VendorNumberstringoptionalLoading fields…
/nexum/{sym}/persistent/accountspayable/createVendorPOST /nexum/627/persistent/accountspayable/createVendor HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"VendorFields": {
"Number": "string",
"Name": "string",
"Payee": "string",
"Street": "string",
"City": "string",
"State": "string",
"ZipCode": "0"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}createInvoice
Creates a new invoice.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
VendorNumberstringoptionalLoading fields…
symstringrequired- Sym number
InvoiceLocatorintegeroptionalLoading fields…
/nexum/{sym}/persistent/accountspayable/createInvoicePOST /nexum/627/persistent/accountspayable/createInvoice HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"VendorNumber": "string",
"InvoiceFields": {
"Number": "string",
"Description": "string",
"InvoiceDate": "2026-01-01",
"DueDateFinal": "2026-01-01",
"TotalInvoiceAmtDue": "string",
"Type": 0,
"Status": 0
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}createInvoiceNote
Creates a note for an invoice.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
VendorNumberstringoptionalInvoiceLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
InvoiceNoteLocatorintegeroptionalLoading fields…
/nexum/{sym}/persistent/accountspayable/createInvoiceNotePOST /nexum/627/persistent/accountspayable/createInvoiceNote HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"VendorNumber": "string",
"InvoiceLocator": 0,
"InvoiceNoteFields": {
"Code": 0,
"Text": [
{
"EntryId": 0,
"Text": "string"
}
],
"UserId": 0
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}deleteVendor
Deletes a vendor.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
VendorNumberstringrequiredLoading fields…
symstringrequired- Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.Loading fields…
/nexum/{sym}/persistent/accountspayable/deleteVendorPOST /nexum/627/persistent/accountspayable/deleteVendor HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"VendorNumber": "string",
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}deleteInvoice
Deletes an invoice.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
VendorNumberstringoptionalInvoiceLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.Loading fields…
/nexum/{sym}/persistent/accountspayable/deleteInvoicePOST /nexum/627/persistent/accountspayable/deleteInvoice HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"VendorNumber": "string",
"InvoiceLocator": 0,
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}deleteInvoiceNote
Deletes a note associated with an invoice.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
VendorNumberstringoptionalInvoiceLocatorintegeroptionalInvoiceNoteLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.Loading fields…
/nexum/{sym}/persistent/accountspayable/deleteInvoiceNotePOST /nexum/627/persistent/accountspayable/deleteInvoiceNote HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"VendorNumber": "string",
"InvoiceLocator": 0,
"InvoiceNoteLocator": 0,
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}